Package org.apache.ignite.internal.events

## Class ManagementTaskEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.TaskEvent
    - - org.apache.ignite.internal.events.ManagementTaskEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<Event>`, `Event`

    public class ManagementTaskEvent
    extends TaskEvent

Management task started event.

See Also:
  `EventType.EVT_MANAGEMENT_TASK_STARTED`, Serialized Form

### Constructor Summary

Constructors
`ManagementTaskEvent​(ClusterNode node, String msg, int type, IgniteUuid sesId, String taskName, String taskClsName, boolean internal, @Nullable UUID subjId, VisorTaskArgument<?> arg)` Creates task event with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorTaskArgument<?>` `argument()`

### Methods inherited from class org.apache.ignite.events.TaskEvent

`internal, shortDisplay, subjectId, taskClassName, taskName, taskSessionId, toString`

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, timestamp, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ManagementTaskEvent

    public ManagementTaskEvent​(ClusterNode node,
                               String msg,
                               int type,
                               IgniteUuid sesId,
                               String taskName,
                               String taskClsName,
                               boolean internal,
                               @Nullable
                               @Nullable UUID subjId,
                               VisorTaskArgument<?> arg)

Creates task event with given parameters.

Parameters:
  `node` - Node.
  `msg` - Optional message.
  `type` - Event type.
  `sesId` - Task session ID.
  `taskName` - Task name.
  `subjId` - Subject ID.
  `internal` - Whether current task belongs to Ignite internal tasks.
  `taskClsName` - Name ot the task class.

### Method Detail

#### argument

    public VisorTaskArgument<?> argument()

Returns:
  Task argument.